Index: trunk/sources/HeuristicLab.DataPreprocessing/3.4/HeuristicLab.DataPreprocessing-3.4.csproj
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/HeuristicLab.DataPreprocessing-3.4.csproj	(revision 11098)
+++ trunk/sources/HeuristicLab.DataPreprocessing/3.4/HeuristicLab.DataPreprocessing-3.4.csproj	(revision 11114)
@@ -149,9 +149,4 @@
       <Private>False</Private>
     </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding\3.4\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4.csproj">
-      <Project>{06d4a186-9319-48a0-bade-a2058d462eea}</Project>
-      <Name>HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4</Name>
-      <Private>False</Private>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Optimization\3.3\HeuristicLab.Optimization-3.3.csproj">
       <Project>{14ab8d24-25bc-400c-a846-4627aa945192}</Project>
@@ -159,22 +154,7 @@
       <Private>False</Private>
     </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Parameters\3.3\HeuristicLab.Parameters-3.3.csproj">
-      <Project>{56f9106a-079f-4c61-92f6-86a84c2d84b7}</Project>
-      <Name>HeuristicLab.Parameters-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
-      <Project>{102bc7d3-0ef9-439c-8f6d-96ff0fdb8e1b}</Project>
-      <Name>HeuristicLab.Persistence-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
       <Project>{94186a6a-5176-4402-ae83-886557b53cca}</Project>
       <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Problems.DataAnalysis.Symbolic\3.4\HeuristicLab.Problems.DataAnalysis.Symbolic-3.4.csproj">
-      <Project>{3d28463f-ec96-4d82-afee-38be91a0ca00}</Project>
-      <Name>HeuristicLab.Problems.DataAnalysis.Symbolic-3.4</Name>
       <Private>False</Private>
     </ProjectReference>
Index: trunk/sources/HeuristicLab.DataPreprocessing/3.4/Implementations/PreprocessingContext.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/Implementations/PreprocessingContext.cs	(revision 11098)
+++ trunk/sources/HeuristicLab.DataPreprocessing/3.4/Implementations/PreprocessingContext.cs	(revision 11114)
@@ -20,11 +20,10 @@
 #endregion
 
-using System;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.DataPreprocessing.Implementations;
+using HeuristicLab.DataPreprocessing.Interfaces;
 using HeuristicLab.Optimization;
 using HeuristicLab.Problems.DataAnalysis;
-using HeuristicLab.DataPreprocessing.Implementations;
-using HeuristicLab.DataPreprocessing.Interfaces;
 
 namespace HeuristicLab.DataPreprocessing {
@@ -53,5 +52,5 @@
     }
 
-    private PreprocessingContext(PreprocessingContext original, Cloner cloner)
+    protected PreprocessingContext(PreprocessingContext original, Cloner cloner)
       : base(original, cloner) {
       Data = cloner.Clone(original.Data);
Index: trunk/sources/HeuristicLab.DataPreprocessing/3.4/Implementations/PreprocessingDataTable.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/Implementations/PreprocessingDataTable.cs	(revision 11098)
+++ trunk/sources/HeuristicLab.DataPreprocessing/3.4/Implementations/PreprocessingDataTable.cs	(revision 11114)
@@ -1,12 +1,8 @@
 ﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Analysis;
-using HeuristicLab.Collections;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
 namespace HeuristicLab.DataPreprocessing.Implementations {
-
   [Item("PreprossingDataTable", "A table of data values.")]
   public class PreprocessingDataTable : DataTable {
@@ -14,9 +10,17 @@
     public PreprocessingDataTable()
       : base() {
-        SelectedRows = new NamedItemCollection<DataRow>();
+      SelectedRows = new NamedItemCollection<DataRow>();
     }
     public PreprocessingDataTable(string name)
       : base(name) {
-        SelectedRows = new NamedItemCollection<DataRow>();
+      SelectedRows = new NamedItemCollection<DataRow>();
+    }
+
+    protected PreprocessingDataTable(PreprocessingDataTable original, Cloner cloner)
+      : base(original, cloner) {
+      this.selectedRows = cloner.Clone(original.selectedRows);
+    }
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new PreprocessingDataTable(this, cloner);
     }
 
@@ -27,5 +31,4 @@
         if (selectedRows != null) throw new InvalidOperationException("Rows already set");
         selectedRows = value;
-        //if (selectedRows != null) RegisterSelectedRowEvents();
       }
     }
Index: trunk/sources/HeuristicLab.DataPreprocessing/3.4/Implementations/TransactionalPreprocessingData.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/Implementations/TransactionalPreprocessingData.cs	(revision 11098)
+++ trunk/sources/HeuristicLab.DataPreprocessing/3.4/Implementations/TransactionalPreprocessingData.cs	(revision 11114)
@@ -31,5 +31,4 @@
 
 namespace HeuristicLab.DataPreprocessing {
-
   [Item("PreprocessingData", "Represents data used for preprocessing.")]
   public class TransactionalPreprocessingData : PreprocessingData, ITransactionalPreprocessingData {
@@ -59,5 +58,5 @@
     }
 
-    private TransactionalPreprocessingData(TransactionalPreprocessingData original, Cloner cloner)
+    protected TransactionalPreprocessingData(TransactionalPreprocessingData original, Cloner cloner)
       : base(original, cloner) {
     }
Index: trunk/sources/HeuristicLab.DataPreprocessing/3.4/Plugin.cs.frame
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.4/Plugin.cs.frame	(revision 11098)
+++ trunk/sources/HeuristicLab.DataPreprocessing/3.4/Plugin.cs.frame	(revision 11114)
@@ -34,15 +34,6 @@
   [PluginDependency("HeuristicLab.Collections", "3.3")]
   [PluginDependency("HeuristicLab.Data","3.3")]
-  [PluginDependency("HeuristicLab.Data.Views","3.3")]
-  [PluginDependency("HeuristicLab.Persistence", "3.3")]
   [PluginDependency("HeuristicLab.Optimization", "3.3")]
-  [PluginDependency("HeuristicLab.MainForm", "3.3")]
-  [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")] 
   [PluginDependency("HeuristicLab.Problems.DataAnalysis","3.4")]
-  [PluginDependency("HeuristicLab.Problems.DataAnalysis.Views","3.4")]
-  [PluginDependency("HeuristicLab.Encodings.SymbolicExpressionTreeEncoding", "3.4")]
-  [PluginDependency("HeuristicLab.Problems.DataAnalysis.Symbolic", "3.4")]
-  [PluginDependency("HeuristicLab.Parameters","3.3")]
-  [PluginDependency("HeuristicLab.Persistence","3.3")] 
   public class HeuristicLabDataPreprocessingPlugin : PluginBase {
   }
